Bug 202174 - ERROR: duplicate key violates unique constraint "flags_pkey"
ERROR: duplicate key violates unique constraint "flags_pkey"
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
devel
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-11 08:14 EDT by James Laska
Modified: 2013-09-02 02:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-08 16:38:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2006-08-11 08:14:07 EDT
1) Go to https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=202143
2) set blocker flag == '?'
3) add a private comment
4) click "save changes"

DBD::Pg::st execute failed: ERROR:  duplicate key violates unique constraint
"flags_pkey"
 [for Statement "INSERT INTO flags ( type_id, 
                                    bug_id, attach_id, 
                                    requestee_id, setter_id, status, 
                                    creation_date, modification_date)
                VALUES (24, 
                        202143, 
                        NULL,
                        NULL,
                        141215,
                        '?', 
                        '2006-08-11 08:13:02.497196-04',
                        '2006-08-11 08:13:02.497196-04')"] at Bugzilla/DB.pm line 71
	Bugzilla::DB::SendSQL('INSERT INTO flags ( type_id, \x{a}                     
         ...') called at Bugzilla/Flag.pm line 489
	Bugzilla::Flag::create('HASH(0x1819ad0)', '\'2006-08-11 08:13:02.497196-04\'')
called at Bugzilla/Flag.pm line 409
	Bugzilla::Flag::process('HASH(0x1819930)', '2006-08-11 08:13:02.497196-04',
'Bugzilla::CGI=HASH(0x154d9f0)') called at
/var/www/html/bugzilla/process_bug.cgi line 2294
Comment 1 David Lawrence 2007-08-08 16:38:00 EDT
Should be fixed now.

Note You need to log in before you can comment on or make changes to this bug.